Index: code/trunk/src/modules/notifications/NotificationDispatcher.cc
===================================================================
--- code/trunk/src/modules/notifications/NotificationDispatcher.cc	(revision 8729)
+++ code/trunk/src/modules/notifications/NotificationDispatcher.cc	(revision 8858)
@@ -137,5 +137,5 @@
             return false;
 
-        COUT(4) << "NotificationDispatcher (&" << this << ") triggered." << std::endl;
+        orxout(verbose, context::notifications) << "NotificationDispatcher (&" << this << ") triggered." << endl;
 
         PlayerTrigger* pTrigger = orxonox_cast<PlayerTrigger*>(trigger);
@@ -155,5 +155,5 @@
         if(player == NULL)
         {
-            COUT(4) << "The NotificationDispatcher was triggered by an entity other than a Pawn. (" << trigger->getIdentifier()->getName() << ")" << std::endl;
+            orxout(verbose, context::notifications) << "The NotificationDispatcher was triggered by an entity other than a Pawn. (" << trigger->getIdentifier()->getName() << ")" << endl;
             return false;
         }
Index: code/trunk/src/modules/notifications/NotificationManager.cc
===================================================================
--- code/trunk/src/modules/notifications/NotificationManager.cc	(revision 8729)
+++ code/trunk/src/modules/notifications/NotificationManager.cc	(revision 8858)
@@ -57,5 +57,5 @@
         RegisterRootObject(NotificationManager);
 
-        COUT(3) << "NotificatioManager created." << std::endl;
+        orxout(internal_info, context::notifications) << "NotificatioManager created." << endl;
     }
 
@@ -71,5 +71,5 @@
         this->allNotificationsList_.clear();
 
-        COUT(3) << "NotificationManager destroyed." << std::endl;
+        orxout(internal_info, context::notifications) << "NotificationManager destroyed." << endl;
     }
 
@@ -132,5 +132,5 @@
 
         if(commandExecuted)
-            COUT(3) << "Notification command \"" << NotificationListener::command2Str(command) << "\" executed." << endl;
+            orxout(internal_info, context::notifications) << "Notification command \"" << NotificationListener::command2Str(command) << "\" executed." << endl;
 
         return commandExecuted;
@@ -198,5 +198,5 @@
         }
 
-        COUT(4) << "Notification (&" << notification << ") registered with the NotificationManager." << std::endl;
+        orxout(verbose, context::notifications) << "Notification (&" << notification << ") registered with the NotificationManager." << endl;
 
         return true;
@@ -219,5 +219,5 @@
         this->removeNotification(notification, *(this->notificationLists_.find(queue->getName())->second));
 
-        COUT(4) << "Notification (&" << notification << ") unregistered with the NotificationManager from NotificationQueue " << queue->getName() << "." << std::endl;
+        orxout(verbose, context::notifications) << "Notification (&" << notification << ") unregistered with the NotificationManager from NotificationQueue " << queue->getName() << "." << endl;
     }
 
@@ -351,5 +351,5 @@
         queue->update(); // Update the queue.
         
-        COUT(4) << "NotificationQueue '" << queue->getName() << "' registered with the NotificationManager." << std::endl;
+        orxout(verbose, context::notifications) << "NotificationQueue '" << queue->getName() << "' registered with the NotificationManager." << endl;
         return true;
     }
@@ -384,5 +384,5 @@
         this->notificationLists_.erase(queue->getName());
         
-        COUT(4) << "NotificationQueue '" << queue->getName() << "' unregistered with the NotificationManager." << std::endl;
+        orxout(verbose, context::notifications) << "NotificationQueue '" << queue->getName() << "' unregistered with the NotificationManager." << endl;
     }
 
Index: code/trunk/src/modules/notifications/NotificationQueue.cc
===================================================================
--- code/trunk/src/modules/notifications/NotificationQueue.cc	(revision 8729)
+++ code/trunk/src/modules/notifications/NotificationQueue.cc	(revision 8858)
@@ -131,9 +131,9 @@
         {
             this->registered_ = false;
-            COUT(1) << "Error: NotificationQueue '" << this->getName() << "' could not be registered." << std::endl;
+            orxout(internal_error, context::notifications) << "NotificationQueue '" << this->getName() << "' could not be registered." << endl;
             return;
         }
 
-        COUT(3) << "NotificationQueue '" << this->getName() << "' created." << std::endl;
+        orxout(internal_info, context::notifications) << "NotificationQueue '" << this->getName() << "' created." << endl;
     }
 
@@ -215,5 +215,5 @@
         delete notifications;
 
-        COUT(4) << "NotificationQueue '" << this->getName() << "' updated." << std::endl;
+        orxout(verbose, context::notifications) << "NotificationQueue '" << this->getName() << "' updated." << endl;
     }
 
@@ -232,5 +232,5 @@
         this->push(notification, time);
 
-        COUT(4) << "NotificationQueue '" << this->getName() << "' updated. A new Notification has been added." << std::endl;
+        orxout(verbose, context::notifications) << "NotificationQueue '" << this->getName() << "' updated. A new Notification has been added." << endl;
     }
 
@@ -265,6 +265,6 @@
         this->notificationPushed(notification);
 
-        COUT(5) << "Notification \"" << notification->getMessage() << "\" pushed to NotificationQueue '" << this->getName() << "'" << endl;
-        COUT(3) << "NotificationQueue \"" << this->getName() << "\": " << notification->getMessage() << endl;
+        orxout(verbose_more, context::notifications) << "Notification \"" << notification->getMessage() << "\" pushed to NotificationQueue '" << this->getName() << "'" << endl;
+        orxout(internal_info, context::notifications) << "NotificationQueue \"" << this->getName() << "\": " << notification->getMessage() << endl;
     }
 
@@ -284,5 +284,5 @@
             if(container == *it)
             {
-                COUT(5) << "Notification \"" << (*it)->notification->getMessage() << "\" popped from NotificationQueue '" << this->getName() << "'" << endl;
+                orxout(verbose_more, context::notifications) << "Notification \"" << (*it)->notification->getMessage() << "\" popped from NotificationQueue '" << this->getName() << "'" << endl;
                 this->ordering_.erase(it);
                 break;
@@ -311,5 +311,5 @@
         std::vector<NotificationContainer*>::difference_type index = it - this->notifications_.begin ();
 
-        COUT(5) << "Notification \"" << (*it)->notification->getMessage() << "\" removed from NotificationQueue '" << this->getName() << "'" << endl;
+        orxout(verbose_more, context::notifications) << "Notification \"" << (*it)->notification->getMessage() << "\" removed from NotificationQueue '" << this->getName() << "'" << endl;
 
         this->ordering_.erase(containerIterator);
@@ -333,5 +333,5 @@
     void NotificationQueue::clear(bool noGraphics)
     {
-        COUT(4) << "Clearing NotificationQueue " << this->getName() << "." << endl;
+        orxout(verbose, context::notifications) << "Clearing NotificationQueue " << this->getName() << "." << endl;
         this->ordering_.clear();
         // Delete all NotificationContainers in the list.
@@ -367,5 +367,5 @@
         if(size == 0)
         {
-            COUT(2) << "Trying to set maximal size of NotificationQueue '" << this->getName() << "' to 0. Ignoring..." << endl;
+            orxout(internal_warning, context::notifications) << "Trying to set maximal size of NotificationQueue '" << this->getName() << "' to 0. Ignoring..." << endl;
             return;
         }
@@ -398,5 +398,5 @@
         if(time != NotificationQueue::INF && time <= 0)
         {
-            COUT(2) << "Trying to set display time of NotificationQueue '" << this->getName() << "' to non-positive value. Ignoring..." << endl;
+            orxout(internal_warning, context::notifications) << "Trying to set display time of NotificationQueue '" << this->getName() << "' to non-positive value. Ignoring..." << endl;
         }
             
Index: code/trunk/src/modules/notifications/NotificationQueueCEGUI.cc
===================================================================
--- code/trunk/src/modules/notifications/NotificationQueueCEGUI.cc	(revision 8729)
+++ code/trunk/src/modules/notifications/NotificationQueueCEGUI.cc	(revision 8858)
@@ -143,5 +143,5 @@
         if(size.x < 0.0 || size.x > 1.0 || size.z < 0.0 || size.z > 1.0)
         {
-            COUT(2) << "The display size of the NotificationQueueCEGUI " << this->getName() << " was trying to be set, but the relative size was not in [0,1]. Aborting..." << endl;
+            orxout(internal_warning, context::notifications) << "The display size of the NotificationQueueCEGUI " << this->getName() << " was trying to be set, but the relative size was not in [0,1]. Aborting..." << endl;
             return;
         }
@@ -183,5 +183,5 @@
         if(position.x < 0.0 || position.x > 1.0 || position.z < 0.0 || position.z > 1.0)
         {
-            COUT(2) << "The position the NotificationQueueCEGUI " << this->getName() << " was trying to be set, but the relative position was not in [0,1]. Aborting..." << endl;
+            orxout(internal_warning, context::notifications) << "The position the NotificationQueueCEGUI " << this->getName() << " was trying to be set, but the relative position was not in [0,1]. Aborting..." << endl;
             return;
         }
